module JobParser
  module Facets
    class Location < Facet
      def parse
        special_case_result = use_special_case(:location)
        return special_case_result unless special_case_result.nil?

        LOCATION_REGEX.match(Cleaner.clean_text(@plain_text)) { |m|
          Cleaner.strip_all_white_space(m[1].to_s)
        } || ""
      end

    end
  end
end
