module JobParser
  module Facets
    class SalaryString < Facet
      def parse
        special_case_result = use_special_case(:salary_string)
        return special_case_result unless special_case_result.nil?

        salary = ""
        SALARY_STRING_REGEX.match(@plain_text) { |m| salary = m.to_s }

        if salary.empty?
          SALARY_UP_TO_REGEX.match(@plain_text) { |m| salary = m.to_s }
        end

        Cleaner.strip_all_white_space(salary)
      end
    end
  end
end
